Name:           libbluray
Version:        1.1.2
Release:        5
Summary:        Library used to access Blu-ray Disc for video playback
License:        LGPLv2+
URL:            https://www.videolan.org/developers/libbluray.html
Source0:        https://download.videolan.org/pub/videolan/%{name}/%{version}/%{name}-%{version}.tar.bz2

Patch0:         Fix-build-with-recent-JDK-version.patch

BuildRequires:  ant autoconf automake doxygen fontconfig-devel freetype-devel graphviz
BuildRequires:  java-1.8.0-openjdk javapackages-tools libtool libxml2-devel texlive-latex java-1.8.0-openjdk-devel
Provides:       %{name}-utils
Obsoletes:      %{name}-utils

%description
Libbluray is an open-source library designed for Blu-Ray Discs playback for media players, like 
VLC or MPlayer.Contain The %{name}-utils package contains test utilities for %{name}.

%package        bdj
Summary:        BDJ support for %{name}
Requires:       %{name} = %{version}-%{release} java-headless >= 1:1.8 jpackage-utils

%description    bdj
The %{name}-bdj contains the jar file for %{name} to provide BD-J support.

%package        devel
Summary:        Contain header files for %{name}
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for use %{name}.

%package_help

%prep
%autosetup -n  %{name}-%{version} -p1

%build
export JDK_HOME="%{_jvmdir}/java-1.8.0"

autoreconf -ivf
%configure  --disable-doxygen-pdf --disable-doxygen-ps \
            --enable-doxygen-html  --enable-examples

%make_build
make doxygen-doc

%install
%make_install
%delete_la

for i in bdjo_dump bdsplice bdj_test clpi_dump hdmv_test index_dump libbluray_test \
         list_titles mobj_dump mpls_dump sound_dump
do install -Dp -m 0755 .libs/$i %{buildroot}%{_bindir}/$i; done;

%ldconfig_scriptlets

%files
%doc  README.txt
%license COPYING
%{_bindir}/*
%{_libdir}/*.so.*

%files bdj
%defattr(-,root,root)
%{_javadir}/*

%files devel
%defattr(-,root,root)
%{_includedir}/*
%{_libdir}/*.a
%{_libdir}/*.so
%{_libdir}/pkgconfig/*

%files help
%defattr(-,root,root)
%doc ChangeLog
%doc doc/doxygen/html

%changelog
* Thu May 19 2022 herengui <herengui@uniontech.com> - 1.1.2-5
- Fix build issue with recent JDK version

* Mon Jul 26 2021 liuyumeng <liuyumeng5@huawei.com> -1.1.2-4
- fix requires:libbluray-1.1.2-4.oe1

* Mon Mar 08 2021 Shaoning Zhang <zhangshaoning@uniontech.com> - 1.1.2-3
- Add BuildRequires for libbluray

* Thu Jan 9 2020 openEuler Buildteam <buildteam@openeuler.org> - 1.1.2-2
- Type:bugfix
- ID:NA
- SUG:NA
- DESC: optimization the spec

* Thu Sep 05 2019 openEuler Buildteam <buildteam@openeuler.org> - 1.1.2-1
- Package init
